#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>
#include "syscall.h"

int
unmount(char *new, char *old)
{
	char *a, *s;
	Syscallmem *c;

	c = _getsyscallmem();
	s = (char*)(&c[1]);
	a = s;
	if(new){
		strcpy(a, new);
		c->arg[0] = a - s;
		a += strlen(a)+1;
	}else
		c->arg[0] = ~0;
	strcpy(a, old);
	c->arg[1] = a - s;
	c->nr = Sunmount;
	return _dosyscall(c);
}

